Cyberduck Mountain Duck CLI

#6896 closed defect (worksforme)

Access denied for uploads

Reported by: spiderwomn69 Owned by: dkocher
Priority: normal Milestone:
Component: s3 Version: 4.2.1
Severity: normal Keywords: Amazon S3 Access Denied
Cc: Architecture:
Platform: Mac OS X 10.6

Description (last modified by spiderwomn69)

I saw a ticket on this that was closed but the solution posted is not accurate for my issue. I have gone through the set up on Cyberducks Wiki and also made sure permissions were correct (even setting full access when the preferred setting for buckets is write only). I have gone through the help pages here and on Amazon and I can not get this to allow users to upload files to buckets created. Please help me with what I am missing.

Note users can upload to buckets using the S3 browser on Windows, this issue with permissions only comes up when attempting to upload via Cyberduck.

S3 Error: Upload Failed

Error message: Forbidden. Access denied.

Attachments (1)

Screen shot 2012-10-02 at 11.53.29 AM.png (64.0 KB) - added by spiderwomn69 on Oct 2, 2012 at 6:46:05 PM.

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Oct 2, 2012 at 6:47:59 PM by spiderwomn69

  • Description modified (diff)

comment:2 Changed on Oct 16, 2012 at 4:53:54 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
  • Summary changed from Not Allowing Upload of Files for AS3 to Access denied for uploads

Difficult to provide assistance here but the error clearly indicates that the user you are logged in with does not have the required permission to read & write files in the bucket. Check in the ACL tab of the Info window (⌘-I).

comment:3 Changed on Oct 16, 2012 at 5:08:40 PM by spiderwomn69

I have checked my ACL, the user with full control can not upload. I should note I am able to download fine and as I mentioned before I can upload on Windows, so obviously the user has the permissions I assigned for that bucket. I guess I will just have to find another option.

Note: See TracTickets for help on using tickets.
swiss made software